# PR-DC Arduino Library for Analog Devices AD7797

The AD7797 is a complete analog front end for high precision bridge sensor applications such as weigh scales. It contains a 24-bit sigma-delta (Σ-Δ) analog-to-digital converter (ADC). The on-chip instrumentation amplifier has a fixed gain of 128, allowing small amplitude signals such as those from bridge sensors to be directly interfaced to the ADC.

For more information please visit: https://www.analog.com/en/products/ad7797.html

## Requirements
[Arduino](https://www.arduino.cc/)<br>

This library is tested with
**Arduino IDE 1.8.16**

## Installation
Clone the repository to the Arduino libraries folder.

For example, on the Windows OS path is:
```
C:\Users\{User}\Documents\Arduino\libraries
```

For more information please visit: https://www.arduino.cc/en/guide/libraries#toc5

## Usage

For usage please check provided examples. 

## License
Copyright (C) 2022 PR-DC <info@pr-dc.com>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as 
published by the Free Software Foundation, either version 3 of the 
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.